Don't load section text into memory when calling [MWKArticle isCached]
Closed, ResolvedPublic1 Story Points

Description

No reason to load into memory/disk, extra CPU & memory cost.

  • Implement -[MWKSection hasTextData] which queries the receiver's dataStore to see if the html file is present on disk
  • Replace section.hasTextData instead of section.text != nil in -[MWKArticle isCached]

Related Objects

BGerstle-WMF updated the task description. (Show Details)
BGerstle-WMF raised the priority of this task from to Needs Triage.
BGerstle-WMF added a subscriber: BGerstle-WMF.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptSep 4 2015, 5:29 PM
BGerstle-WMF set Security to None.Sep 17 2015, 7:15 PM
BGerstle-WMF edited a custom field.
Mhurd claimed this task.
MBinder_WMF closed this task as Resolved.Oct 7 2015, 9:20 PM